package org.sakaiproject.wontovlab.tool.jsf;

import org.sakaiproject.wontovlab.model.Experiment;


/**
 * This is a wrapper class which is required to get the interactions from the user
 * without storing UI dependent information in the data POJO
 * @author Sakai App Builder -AZ
 */
public class ExperimentWrapper {

	private Experiment experiment;
	private boolean canDelete; // can this weblab be deleted
	private boolean canEdit;


	/**
	 * Constructor which accepts the object we are wrapping
	 * @param item the WebLab we are wrapping
	 */
	public ExperimentWrapper(Experiment experiment) {
		this.experiment = experiment;
	}


	/**
	 * Basic setters and getters
	 */


	public boolean isCanDelete() {
		return canDelete;
	}

	public void setCanDelete(boolean canDelete) {
		this.canDelete = canDelete;
	}


	public Experiment getExperiment()
	{
		return experiment;
	}


	public void setExperiment(Experiment experiment)
	{
		this.experiment = experiment;
	}


	public boolean isCanEdit()
	{
		return canEdit;
	}


	public void setCanEdit(boolean canEdit)
	{
		this.canEdit = canEdit;
	}



}
